View Issue Details

IDProjectCategoryView StatusLast Update
0027313Open CASCADEOCCT:DRAWpublic2019-03-20 08:57
Reportergzy Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
PlatformWindowsOSVC++ 2013 
Product Version7.0.0 
Target Version7.1.0Fixed in Version7.1.0 
Summary0027313: Exception during WriteStep with PMI
DescriptionVersion windows Release opencascade-7.0.0-vc10-64-rc
1. Start draw.bat
2. Execute attached script (source Buran_rib.tcl)
3. Enter in command line
XAddDatum D v2_6; #0:1:4:5
XSetDatumName D 0:1:4:5 A;
XAddDatumModifier D 0:1:4:3 14;
XSetDatum D 0:1:4:5 0:1:4:4
WriteStep D wing1.stp

Bug: file is not saved
An exception was caught 0000000002115080 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x00000020 during 'READ' operation
** Exception ** 0000000002115080 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x00000020 during 'READ' operation
Steps To ReproduceDear GKA,

could you please review branch CR27313?
TagsNo tags attached.
Test case numberbugs step bug27313

Attached Files

  • Buran_rib.tcl (23,219 bytes)

Relationships

related to 0027316 closedapn Draw Harness - access violation on passing non-existing shape to XAddShape 

Activities

gzy

2016-03-29 09:12

developer  

Buran_rib.tcl (23,219 bytes)

git

2016-06-28 12:02

administrator   ~0055531

Branch CR27313 has been created by ika.

SHA-1: 72a0f893cf23b21e45b8eecc204e7fdcb0aa0ac3


Detailed log of new commits:

Author: ika
Date: Tue Jun 28 12:00:13 2016 +0300

    0027313: Exception during WriteStep with PMI
    
    Add check for datum position during export of datum_system
    Add Draw commands for set/get datum position
    update test cases

git

2016-06-28 12:09

administrator   ~0055532

Branch CR27313 has been updated forcibly by ika.

SHA-1: abd0ab4e978cdde05bccad67be2cbc3851237a22

ika

2016-06-28 12:44

developer   ~0055535

Dear GZY,

the first problem was in STEP Application Protocol:
use "param write.step.schema 5" to export PMI correctly to STEP AP242.

The second problem was in absence of "datum position" this number should be in {1, 2, 3}, it is used to find a correct position of datum in geometric tolerance datum system (for example, |value|A|B| or |value|B|A| or |value|A-B|, where A and B are datums, will be different geometric tolerances).

A new command XSetDatumPosition was added, please use it to specify datum position number.
Also in XSetDatum command was added a reject message, if datum position is not specified.

gka

2016-09-08 18:07

developer   ~0057608

Branch CR27313 is ready to be tested.

git

2016-09-09 11:19

administrator   ~0057627

Branch CR27313 has been updated forcibly by apv.

SHA-1: 27a4006de8bc441e94bf45cd1d74f04d89c9ca89

apv

2016-09-09 11:20

tester   ~0057630

Branch CR27313 has been rebased on the current master.

git

2016-09-12 09:55

administrator   ~0057663

Branch CR27313 has been updated by apv.

SHA-1: d6d3cce0c838259df9b5be340ff829cc7cf346af


Detailed log of new commits:

Author: apv
Date: Mon Sep 12 09:55:18 2016 +0300

    Correction of case bugs/step/bug27313

apv

2016-09-12 11:00

tester   ~0057669

Dear BugMaster,

Branch CR27313 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 27a4006de8bc441e94bf45cd1d74f04d89c9ca89

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1128

Regressions/Differences:
Not detected

Testing cases:
bugs step bug27313 - OK
http://occt-tests/CR27313-master-OCCT/Debian70-64/bugs/step/bug27313.html
http://occt-tests/CR27313-master-OCCT/Windows-64-VC10/bugs/step/bug27313.html

Testing on Linux:
Total MEMORY difference: 90258086 / 90377803 [-0.13%]
Total CPU difference: 19403.83 / 19445.410000000134 [-0.21%]

Testing on Windows:
Total MEMORY difference: 57155001 / 57172575 [-0.03%]
Total CPU difference: 18233.64648159888 / 18100.047225198865 [+0.74%]

git

2016-10-28 21:45

administrator   ~0059494

Branch CR27313 has been deleted by kgv.

SHA-1: d6d3cce0c838259df9b5be340ff829cc7cf346af

Related Changesets

occt: master c1070321

2016-06-28 09:00:13

ika


Committer: bugmaster Details Diff
0027313: Exception during WriteStep with PMI

Add check for datum position during export of datum_system
Add Draw commands for set/get datum position
update test cases

Correction of case bugs/step/bug27313
Affected Issues
0027313
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff File
mod - src/XDEDRAW/XDEDRAW_GDTs.cxx Diff File
add - tests/bugs/step/bug27313 Diff File
mod - tests/gdt/tolerances/A1 Diff File
mod - tests/gdt/tolerances/A2 Diff File

Issue History

Date Modified Username Field Change
2016-03-29 09:12 gzy New Issue
2016-03-29 09:12 gzy Assigned To => gka
2016-03-29 09:12 gzy File Added: Buran_rib.tcl
2016-06-25 09:31 abv Assigned To gka => ika
2016-06-25 09:31 abv Status new => assigned
2016-06-28 12:02 git Note Added: 0055531
2016-06-28 12:09 git Note Added: 0055532
2016-06-28 12:44 ika Note Added: 0055535
2016-06-28 12:45 ika Assigned To ika => gka
2016-06-28 12:45 ika Status assigned => resolved
2016-06-28 12:45 ika Steps to Reproduce Updated
2016-09-08 18:07 gka Note Added: 0057608
2016-09-08 18:07 gka Assigned To gka => bugmaster
2016-09-08 18:07 gka Status resolved => reviewed
2016-09-09 09:08 apv Assigned To bugmaster => apv
2016-09-09 11:19 git Note Added: 0057627
2016-09-09 11:20 apv Note Added: 0057630
2016-09-12 09:50 apv Test case number => bugs step bug27313
2016-09-12 09:55 git Note Added: 0057663
2016-09-12 11:00 apv Note Added: 0057669
2016-09-12 11:00 apv Assigned To apv => bugmaster
2016-09-12 11:00 apv Status reviewed => tested
2016-09-16 09:43 bugmaster Changeset attached => occt master c1070321
2016-09-16 09:43 bugmaster Status tested => verified
2016-09-16 09:43 bugmaster Resolution open => fixed
2016-10-28 21:45 git Note Added: 0059494
2016-12-09 16:30 aiv Status verified => closed
2016-12-09 16:38 aiv Fixed in Version => 7.1.0
2019-03-20 08:57 kgv Relationship added related to 0027316
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.